This service will be undergoing maintenance at 00:00 UTC, 2016-08-01. It is expected to last about 1 hours
Bug 457940 - rpm annoying "failed to stat" warnings in chroot
rpm annoying "failed to stat" warnings in chroot
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: rpm (Show other bugs)
10
All Linux
medium Severity medium
: ---
: ---
Assigned To: Panu Matilainen
Fedora Extras Quality Assurance
:
Depends On:
Blocks: K12LTSP THINCLIENT
  Show dependency treegraph
 
Reported: 2008-08-05 12:34 EDT by Warren Togami
Modified: 2009-12-18 01:16 EST (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-12-18 01:16:58 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Warren Togami 2008-08-05 12:34:05 EDT
/opt/ltsp/i386 contains a LTSP client chroot for read-only root NFS root boot.

/etc/mtab is symlinked to /proc/mounts as is standard for a read-only root chroot.

In my case, the host system has something mounted at /var/lib/mock.  It shows up in /proc/mounts.

yum and rpm operations within this chroot print this warning message:

error: failed to stat /var/lib/mock: No such file or directory

This is because rpm is seeing /etc/mtab and is confused that this directory does not exist when it is listed in /etc/mtab.

This seems not harmful, but it is annoying and incorrect.

What can we do about this?

1) Would it be harmful to just turn off the warning message?
2) mount tools in util-linux-ng actually ignores /etc/mtab contents if it is a symlink.
3) Perhaps a combination of #1 and #2?  Do not warn only if /etc/mtab is a symlink.
Comment 1 Jeff Johnson 2008-08-05 18:29:03 EDT
rpm stats all mounted file systems in order to do diskspace
accounting. Note that symlinks must be followed, and
may point to any mounted volume.

By symlinking /proc/mounts in a chroot, you are leaking
information from outside the chroot into the chroot for
non-existent (in the chroot) mount points.

Your easiest hack is to insure that all paths mentioned
in /proc/mounts actually exist in the chroot.

Or perhaps you can whine loudly enough to change the
message from RPMLOG_ERR to RPMLOG_DEBUG in rpm sources.
Comment 2 Bug Zapper 2008-11-25 21:40:11 EST
This bug appears to have been reported against 'rawhide' during the Fedora 10 development cycle.
Changing version to '10'.

More information and reason for this action is here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 3 Bug Zapper 2009-11-18 03:14:26 EST
This message is a reminder that Fedora 10 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 10.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '10'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 10's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 10 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 4 Bug Zapper 2009-12-18 01:16:58 EST
Fedora 10 changed to end-of-life (EOL) status on 2009-12-17. Fedora 10 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.